package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tdn;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TdnMapper {

    int insert(Tdn record);

    int insertSelective(Tdn record);

    int updateByPrimaryKeySelective(Tdn record);

    int updateByPrimaryKey(Tdn record);

    int deleteByPrimaryKey(Tdn record);

    int deleteByIds(Collection<Object> collection);

    Tdn selectByPrimaryKey(Tdn record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tdn> dyncRead(Map<String, Object> dyncMap);

    Tdn selectByBanktrano(@Param("banktrano") String banktrano);
}